(function($, Drupal) {
	//check region and display if exists
	$(document).ready(function() {
		// Exit intent
		exit_intent_cookie = Cookies.get('exit_intent');
		if(exit_intent_cookie == true){
			var modal_block = 1;
		} else {
			var modal_block = 0;
		}

		// Exit intent trigger
		$(document).mouseleave(function(){
			if (modal_block == 0) {
				$.ajax({
					url: Drupal.settings.exit_intent_get.ajax_get,
					// This is the AjAX URL set by the custom Module
					method: "GET",
					// Type of the content we're expecting in the response
					success: function(data) {
						//$('#ajax-result').html(data);  // Place AJAX content inside the ajax wrapper div
						$('body').append(data.modal);
						$("#exit_intent_modal").modal("show");
						modal_block = 1;
					}
				});
			};
		});

		$(document).on("click", "#exit_intent_modal a", function(){
			Cookies.set('exit_intent', 1, { expires: 1} );
		});

	});
})(jQuery, Drupal);